## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           azure-vm-utils
Version:        0.5.2
Release:        %autorelease
Summary:        Core utilities and configuration for Linux VMs on Azure

License:        MIT
URL:            https://github.com/Azure/%{name}
Source:         %{url}/archive/v%{version}/%{name}-v%{version}.tar.gz

# It only supports x86_64 and aarch64 on Azure currently
ExclusiveArch:    x86_64 aarch64

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  pkgconfig(libudev)
BuildRequires:  json-c-devel
BuildRequires:  libcmocka-devel

Provides:       azure-nvme-utils = %{version}-%{release}
Obsoletes:      azure-nvme-utils < 0.1.3-3

%description
This package provides a home for core utilities, udev rules and other
configuration to support Linux VMs on Azure.

%prep
%autosetup -n %{name}-%{version}

%build
%cmake -DVERSION="%{version}-%{release}" -DAZURE_NVME_ID_INSTALL_DIR="%{_bindir}"
%cmake_build

%install
%cmake_install
install -D -m 0755 initramfs/dracut/modules.d/97azure-disk/module-setup.sh %{buildroot}%{_prefix}/lib/dracut/modules.d/97azure-disk/module-setup.sh
rm %{buildroot}%{_bindir}/azure-vm-utils-selftest
rm %{buildroot}%{_mandir}/man8/azure-vm-utils-selftest.8

%check
%ctest

%files
%defattr(-,root,root,-)
%{_mandir}/man8/azure-nvme-id.8.gz
%dir %{_prefix}/lib/dracut/modules.d/97azure-disk
%{_prefix}/lib/dracut/modules.d/97azure-disk/module-setup.sh
%{_bindir}/azure-nvme-id
%{_udevrulesdir}/80-azure-disk.rules

%changelog
## START: Generated by rpmautospec
* Thu May 08 2025 Huijuan Zhao <huzhao@redhat.com> - 0.5.2-1
- Initial commit on c9s
## END: Generated by rpmautospec
